Bug 169420 - net/netcat: Update MASTER_SITES
Summary: net/netcat: Update MASTER_SITES
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Armin Pirkovitsch
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-25 19:10 UTC by tkato432
Modified: 2012-07-19 18:50 UTC (History)
0 users

See Also:


Attachments
file.diff (5.18 KB, patch)
2012-06-25 19:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2012-06-25 19:10:13 UTC
- Update MASTER_SITES and WWW: line

Remove file:
files/patch-ab
Comment 1 Edwin Groothuis freebsd_committer 2012-06-25 19:12:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Armin Pirkovitsch freebsd_committer 2012-07-17 08:59:18 UTC
Responsible Changed
From-To: miwi->sperber

miwi asked me to take it.
Comment 3 dfilter service freebsd_committer 2012-07-19 18:41:52 UTC
Author: sperber
Date: Thu Jul 19 17:41:16 2012
New Revision: 301177
URL: http://svn.freebsd.org/changeset/ports/301177

Log:
  - Update MASTER_SITES and WWW: line
  - Cleanup pkg-descr
  - Switch to optionsng
  
  PR:           ports/169420
  Submitted by: KATO Tsuguru <tkato432 _at_ yahoo.com>
  Approved by:  beat (mentor)

Deleted:
  head/net/netcat/files/patch-ab
Modified:
  head/net/netcat/Makefile   (contents, props changed)
  head/net/netcat/pkg-descr   (contents, props changed)

Modified: head/net/netcat/Makefile
==============================================================================
--- head/net/netcat/Makefile	Thu Jul 19 17:40:38 2012	(r301176)
+++ head/net/netcat/Makefile	Thu Jul 19 17:41:16 2012	(r301177)
@@ -10,55 +10,60 @@ PORTNAME=	netcat
 PORTVERSION=	1.10
 PORTREVISION=	3
 CATEGORIES=	net ipv6
-MASTER_SITES=	ftp://coast.cs.purdue.edu/pub/tools/unix/netutils/netcat/  \
-		ftp://ftp.cuhk.edu.hk/pub/packages/security/purdue/netutils/netcat/  \
-		http://www.planetmirror.com/pub/lprng/TOOLS/
-DISTNAME=	nc110
+MASTER_SITES=	SF/${DISTNAME}/unix%20netcat%20${PORTVERSION}%20by%20_Hobbit_/%5BUnnamed%20release%5D
+DISTNAME=	nc${PORTVERSION:S/.//}
 EXTRACT_SUFX=	.tgz
 
-PATCH_SITES=	ftp://sith.mimuw.edu.pl/pub/users/baggins/IPv6/
+#PATCH_SITES=	ftp://sith.mimuw.edu.pl/pub/users/baggins/IPv6/
+PATCH_SITES=	${MASTER_SITE_GENTOO}
+PATCH_SITE_SUBDIR=	distfiles
 PATCHFILES=	nc-v6-20000918.patch.gz
 PATCH_DIST_STRIP=	-p1
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Simple utility which reads and writes data across network connections
 
+OPTIONS_DEFINE=	IPV6 TELNET GAPING DOCS
+OPTIONS_DEFAULT=IPV6 TELNET GAPING
+TELNET_DESC=	Enable TELNET support
+GAPING_DESC=	Enable GAPING_SECURITY_HOLE support
+
 NO_WRKSUBDIR=	yes
-ALL_TARGET=	freebsd
 
-OPTIONS=	IPV6 "enable IPv6 support" on \
-		TELNET "enable TELNET support" on \
-		GAPING "enable GAPING_SECURITY_HOLE support" on
+CFLAGS+=	-D${OPSYS:U}
+LDFLAGS+=	-static
 
-PLIST_FILES=	bin/netcat
-PORTDOCS=	README
 MAN1=		netcat.1
+PORTDOCS=	README
+PLIST_FILES=	bin/netcat
 
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
 
-.if defined (WITH_IPV6)
-XFLAGS+=	-DIPV6
+.if ${PORT_OPTIONS:MIPV6}
+CFLAGS+=	-DINET6
 .endif
 
-.if defined (WITH_TELNET)
-XFLAGS+=	-DTELNET
+.if ${PORT_OPTIONS:MTELNET}
+CFLAGS+=	-DTELNET
 .endif
 
-.if defined (WITH_GAPING)
-XFLAGS+=	-DGAPING_SECURITY_HOLE
+.if ${PORT_OPTIONS:MGAPING}
+CFLAGS+=	-DGAPING_SECURITY_HOLE
 .endif
 
-MAKE_ENV=	XFLAGS="${XFLAGS}"
-
 post-patch:
-	${SED} -e 's|%%DOCSDIR%%|${DOCSDIR}|g' ${FILESDIR}/nc.1 > ${WRKDIR}/${PORTNAME}.1
+	@${SED} -e 's|%%DOCSDIR%%|${DOCSDIR}|g' ${FILESDIR}/nc.1 \
+		> ${WRKDIR}/${PORTNAME}.1
+
+do-build:
+	cd ${WRKSRC} && ${CC} ${CFLAGS} ${PORTNAME}.c -o ${PORTNAME} ${LDFLAGS}
 
 do-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/nc ${PREFIX}/bin/${PORTNAME}
-	${INSTALL_MAN} ${WRKDIR}/${PORTNAME}.1 ${PREFIX}/man/man1
-.if !defined(NOPORTDOCS)
+	${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME} ${PREFIX}/bin
+	${INSTALL_MAN} ${WRKDIR}/${PORTNAME}.1 ${MANPREFIX}/man/man1
+.if ${PORT_OPTIONS:MDOCS}
 	@${MKDIR} ${DOCSDIR}
 	${INSTALL_DATA} ${WRKSRC}/README ${DOCSDIR}
 .endif
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/net/netcat/pkg-descr
==============================================================================
--- head/net/netcat/pkg-descr	Thu Jul 19 17:40:38 2012	(r301176)
+++ head/net/netcat/pkg-descr	Thu Jul 19 17:41:16 2012	(r301177)
@@ -6,33 +6,4 @@ network debugging and exploration tool, 
 kind of connection you would need and has several interesting built-in
 capabilities.
 
-Some of netcat's major features are:
-
-	Outbound or inbound connections, IPv4 or IPv6, TCP or UDP,
-		to or from any ports
-	Full DNS forward/reverse checking, with appropriate warnings
-	Ability to use any local source port
-	Ability to use any locally-configured network source address
-	Built-in port-scanning capabilities, with randomizer
-	Built-in loose source-routing capability
-	Can read command line arguments from standard input
-	Slow-send mode, one line every N seconds
-	Hex dump of transmitted and received data
-	Optional ability to let another program service established connections
-	Optional telnet-options responder
-
-A very short list of potential uses:
-
-	Script backends
-	Scanning ports and inventorying services, automated probes
-	Backup handlers
-	File transfers
-	Server testing, simulation, debugging, and hijacking
-	Firewall testing
-	Proxy gatewaying
-	Network performance testing
-	Address spoofing tests
-	Protecting X servers
-	1001 other uses you'll likely come up with
-
-_H* 960320
+WWW: http://nc110.sourceforge.net/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Armin Pirkovitsch freebsd_committer 2012-07-19 18:48:01 UTC
State Changed
From-To: open->closed

Committed. Thanks!